Bug 189396 - Why the dependency on nedit?
Why the dependency on nedit?
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
bzcl34nup
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 14:19 EDT by Gérard Milmeister
Modified: 2009-06-10 06:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-04-19 14:19:35 EDT
Where is there a dependency on nedit?
If an editor must be hardcoded, better use gvim or gedit, since
they are in Core and can be considered "standard" in a sense.
Comment 1 Joachim Frieben 2006-06-03 10:17:04 EDT
I guess because it's a Motif based editor and as such fits "grace"'s
graphical interface better than a "GTK" or a plain "X" toolkit
application. Intelligible, no?
Comment 2 José Matos 2006-06-04 18:14:25 EDT
(In reply to comment #1)
> I guess because it's a Motif based editor and as such fits "grace"'s
> graphical interface better than a "GTK" or a plain "X" toolkit
> application. Intelligible, no?

Yes, that is the reason.
I am considering reverting this to 'xterm -e vi' that is the default. :-)

After all most of the users I know are not even aware of this feature. This 
requires extra work to use, since it is not the default.
Comment 3 Patrice Dumas 2008-01-03 06:20:17 EST
Maybe xdg-open should be used instead? It seems to work for 
me. The only trouble is if people are not running xfce/kde/gnome
and don't have /usr/bin/mimeopen installed since the browser
will be used in that case ;-(
Comment 4 Bug Zapper 2008-04-03 22:41:11 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-13 22:08:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 18:08:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.